#!/bin/bash

if [ ! -n "$1" ]; then
	echo "Usage: $0 version"
	exit 0
fi;

if [ ! -x "mrpt-$1" ]; then
	wget https://github.com/jlblancoc/mrpt/archive/"$1".tar.gz
fi;

echo "Extracting archive..."
tar xf "$1".tar.gz
pushd mrpt-"$1"
echo "Removing non-free items..."
rm -rf libs/hwdrivers/src/{xSens_MT3,xSens_MT4,aria,libfreenect}
rm -rf kinect-win32-driver
rm -rf otherlibs/eigen3
rm -rf otherlibs/mexplus
rm -rf libs/vision/src/sift-hess/
popd
echo "Compressing free archive..."
tar cJf mrpt-"$1"-fedora.tar.xz mrpt-"$1"
echo "Cleaning up..."
rm -rf mrpt-"$1"
echo "Done"

